# Uses of Interface
org.gitana.platform.client.cluster.Cluster

Packages that use Cluster
Package
Description
org.gitana.platform.client.cluster
org.gitana.platform.client.datastore
org.gitana.platform.client.job
org.gitana.platform.client.log
org.gitana.platform.client.platform
org.gitana.platform.client.support
org.gitana.platform.client.team
org.gitana.platform.client.transfer
org.gitana.platform.client.util

## Uses of Cluster in org.gitana.platform.client.cluster

Classes in org.gitana.platform.client.cluster that implement Cluster
Modifier and Type
Class
Description
`class`
`ClusterImpl`
Methods in org.gitana.platform.client.cluster that return Cluster
Modifier and Type
Method
Description
`Cluster`
AbstractClusterDataStoreImpl.`getCluster()`
`Cluster`
AbstractClusterDocumentImpl.`getCluster()`
`Cluster`
ClusterDataStore.`getCluster()`
`Cluster`
ClusterDocument.`getCluster()`
`Cluster`
ClusterImpl.`getCluster()`
Constructors in org.gitana.platform.client.cluster with parameters of type Cluster
Modifier
Constructor
Description
`protected`
`AbstractClusterDataStoreImpl(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`AbstractClusterDocumentImpl(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Cluster in org.gitana.platform.client.datastore

Methods in org.gitana.platform.client.datastore that return Cluster
Modifier and Type
Method
Description
`abstract Cluster`
AbstractDataStoreImpl.`getCluster()`

## Uses of Cluster in org.gitana.platform.client.job

Constructors in org.gitana.platform.client.job with parameters of type Cluster
Modifier
Constructor
Description
``
`JobImpl(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Cluster in org.gitana.platform.client.log

Constructors in org.gitana.platform.client.log with parameters of type Cluster
Modifier
Constructor
Description
``
`LogEntryImpl(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Cluster in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Cluster
Modifier and Type
Method
Description
`protected Cluster`
AbstractPlatformDocumentImpl.`getCluster()`
`Cluster`
Platform.`getCluster()`
Constructors in org.gitana.platform.client.platform with parameters of type Cluster
Modifier
Constructor
Description
``
`PlatformImpl(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Cluster in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support with parameters of type Cluster
Modifier and Type
Method
Description
`Job`
ObjectFactory.`job(Cluster cluster, Response response)`
`Job`
ObjectFactoryImpl.`job(Cluster cluster, Response response)`
`org.gitana.platform.support.ResultMap<Job>`
ObjectFactory.`jobs(Cluster cluster, Response response)`
`org.gitana.platform.support.ResultMap<Job>`
ObjectFactoryImpl.`jobs(Cluster cluster, Response response)`
`org.gitana.platform.support.ResultMap<LogEntry>`
ObjectFactory.`logEntries(Cluster cluster, Response response)`
`org.gitana.platform.support.ResultMap<LogEntry>`
ObjectFactoryImpl.`logEntries(Cluster cluster, Response response)`
`LogEntry`
ObjectFactory.`logEntry(Cluster cluster, Response response)`
`LogEntry`
ObjectFactoryImpl.`logEntry(Cluster cluster, Response response)`
`Platform`
ObjectFactory.`platform(Cluster cluster, Response response)`
`Platform`
ObjectFactoryImpl.`platform(Cluster cluster, Response response)`
`Team`
ObjectFactory.`team(Cluster cluster, Teamable teamable, String teamKey, Response response)`
`Team`
ObjectFactoryImpl.`team(Cluster cluster, Teamable teamable, String teamKey, Response response)`
`org.gitana.platform.support.ResultMap<Team>`
ObjectFactory.`teams(Cluster cluster, Teamable teamable, Response response)`
`org.gitana.platform.support.ResultMap<Team>`
ObjectFactoryImpl.`teams(Cluster cluster, Teamable teamable, Response response)`

## Uses of Cluster in org.gitana.platform.client.team

Methods in org.gitana.platform.client.team that return Cluster
Modifier and Type
Method
Description
`protected Cluster`
TeamImpl.`getCluster()`
Constructors in org.gitana.platform.client.team with parameters of type Cluster
Modifier
Constructor
Description
``
`TeamImpl(Cluster cluster, Teamable teamable, String teamKey, com.fasterxml.jackson.databind.node.ObjectNode objectNode)`

## Uses of Cluster in org.gitana.platform.client.transfer

Constructors in org.gitana.platform.client.transfer with parameters of type Cluster
Modifier
Constructor
Description
``
`CopyJob(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`TransferExportJob(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`TransferImportJob(Cluster cluster, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Cluster in org.gitana.platform.client.util

Methods in org.gitana.platform.client.util with parameters of type Cluster
Modifier and Type
Method
Description
`static CopyJob`
DriverUtil.`copy(Cluster cluster, Remote remote, TypedID source, TypedID target, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration, org.gitana.platform.services.transfer.TransferSchedule schedule)`
Generic helper method to copy the source object into the target container.
`static Job`
DriverUtil.`retrieveOrPollJob(Cluster cluster, String jobId, boolean synchronous)`
Retrieves a job that was just posted for execution.